void USART_Init(unsigned int baudrate);
void timePause(unsigned long count);
void ADC_init (void);
void initTimer (void);

/* definesc frecventa procesorului daca nu este definita in Makefile */
#ifndef F_CPU
#define F_CPU 16000000UL
#endif

#define msUp				1
#define msDwn				4      
#define YposUp				0
#define YposDwn				3
#define freeze				2

#define AC 					0
#define DC 					1
#define SQUARE				2
#define TRUE				0
#define FALSE				1

unsigned int counter = 0;
unsigned int dataCounter = 0;
unsigned int timeDiv = 52; 
unsigned int analogInput = 0;
unsigned char trigger = 2;
unsigned char cnt = 0;
unsigned char empty = 0;
unsigned int out = 0;
unsigned char findZero = 0;
unsigned char pressedButton = 0;
unsigned char upLimit = 0;
unsigned char dnLimit = 255;
unsigned char limitBkup = 0;
unsigned char  voltageType = AC;
unsigned char  complete = TRUE;

signed char Ypos   = 0; 
signed char Ypos2   = 0;
signed char position  = 0;


//===============================================================================
//
//===============================================================================

void ADC_init (void)
{
	ADMUX = 0b01100000; // PA0 -> ADC0, ADLAR=1 (8bit)
	ADCSRA = 0b11000100; // ADC prescaler at 16
}


//===============================================================================
//
//===============================================================================
void timePause(unsigned long count) 
{
    while(count--);
}

//===============================================================================
//
//===============================================================================
